<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.12.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>kmDebug: X:/kmDebugDefaultConfig.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">kmDebug
   </div>
   <div id="projectbrief">kmDebug library for AVR</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.12.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search',true);
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('km_debug_default_config_8h.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle"><div class="title">X:/kmDebugDefaultConfig.h File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Default configuration options that can be overridden in main config file <a class="el" href="km_debug_default_config_8h.html" title="Default configuration options that can be overridden in main config file kmDebugDefaultConfig....">kmDebugDefaultConfig.h</a>.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;../kmCommon/kmCommon.h&quot;</code><br />
</div>
<p><a href="km_debug_default_config_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:aad8555c9d24a4fbb613f8fe11c18d369" id="r_aad8555c9d24a4fbb613f8fe11c18d369"><td class="memItemLeft" align="right" valign="top"><a id="aad8555c9d24a4fbb613f8fe11c18d369" name="aad8555c9d24a4fbb613f8fe11c18d369"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_DEBUG_INVERTED_LOGIC</b></td></tr>
<tr class="memdesc:aad8555c9d24a4fbb613f8fe11c18d369"><td class="mdescLeft">&#160;</td><td class="mdescRight">Inverts output logic so dbOn sets the pin to LOW and dbOff sets the pin to HIGH (if defined) <br /></td></tr>
<tr class="separator:aad8555c9d24a4fbb613f8fe11c18d369"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc34700a2cafc6d6ca84036cea0a9260" id="r_acc34700a2cafc6d6ca84036cea0a9260"><td class="memItemLeft" align="right" valign="top"><a id="acc34700a2cafc6d6ca84036cea0a9260" name="acc34700a2cafc6d6ca84036cea0a9260"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_DEBUG_DDR</b>&#160;&#160;&#160;DDRB</td></tr>
<tr class="memdesc:acc34700a2cafc6d6ca84036cea0a9260"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines MCUs direction register to be used by the library. <br /></td></tr>
<tr class="separator:acc34700a2cafc6d6ca84036cea0a9260"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a657ad610e1a4546acc39ee2bb2ebc948" id="r_a657ad610e1a4546acc39ee2bb2ebc948"><td class="memItemLeft" align="right" valign="top"><a id="a657ad610e1a4546acc39ee2bb2ebc948" name="a657ad610e1a4546acc39ee2bb2ebc948"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_DEBUG_PORT</b>&#160;&#160;&#160;PORTB</td></tr>
<tr class="memdesc:a657ad610e1a4546acc39ee2bb2ebc948"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines MCUs port register to be used in the library. <br /></td></tr>
<tr class="separator:a657ad610e1a4546acc39ee2bb2ebc948"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8ec848439f8482db27f05c2c42bab18" id="r_ad8ec848439f8482db27f05c2c42bab18"><td class="memItemLeft" align="right" valign="top"><a id="ad8ec848439f8482db27f05c2c42bab18" name="ad8ec848439f8482db27f05c2c42bab18"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_DEBUG_PIN_0</b>&#160;&#160;&#160;PB5</td></tr>
<tr class="memdesc:ad8ec848439f8482db27f05c2c42bab18"><td class="mdescLeft">&#160;</td><td class="mdescRight">KM_DEBUG_PIN_n defines particular pin to be used for DB_PIN_n selection. <br /></td></tr>
<tr class="separator:ad8ec848439f8482db27f05c2c42bab18"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Default configuration options that can be overridden in main config file <a class="el" href="km_debug_default_config_8h.html" title="Default configuration options that can be overridden in main config file kmDebugDefaultConfig....">kmDebugDefaultConfig.h</a>. </p>
<p><b>Created on</b>: Aug 10, 2019 <br  />
 <b>Author</b>: Krzysztof Moskwa <br  />
 <b>License</b>: GPL-3.0-or-later <br  />
<br  />
 kmDebug library for AVR MCUs <br  />
 <b>Copyright (C) 2019 Krzysztof Moskwa</b></p>
<p>This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.</p>
<p>This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.</p>
<p>You should have received a copy of the GNU General Public License along with this program. If not, see <a href="https://www.gnu.org/licenses/">https://www.gnu.org/licenses/</a>.</p>
<p>Note: Use following definition to disable kmDebug library #define KM_DEBUG_DISABLE (it will not be compiled into target binary code)</p>
<p>References:</p><ol type="1">
<li><a href="https://atnel2.blogspot.com/2014/04/puapki-programowe-debuger-na-jednej.html">https://atnel2.blogspot.com/2014/04/puapki-programowe-debuger-na-jednej.html</a> </li>
</ol>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="km_debug_default_config_8h.html">kmDebugDefaultConfig.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.12.0 </li>
  </ul>
</div>
</body>
</html>
